Bug 96283 - New port: textproc/iksemel - XML parser library mainly designed for Jabber applications
New port: textproc/iksemel - XML parser library mainly designed for Jabber ap...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 21:50 UTC by trasz
Modified: 2006-04-28 08:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description trasz 2006-04-24 21:50:11 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       iksemel/
#       iksemel/Makefile
#       iksemel/distinfo
#       iksemel/pkg-descr
#       iksemel/pkg-plist
#       iksemel/files
#       iksemel/files/patch-Makefile.in
#
echo c - iksemel/
mkdir -p iksemel/ > /dev/null 2>&1
echo x - iksemel/Makefile
sed 's/^X//' >iksemel/Makefile << 'END-of-iksemel/Makefile'
X# New ports collection makefile for:   iksemel
X# Date created:        24 April 2006
X# Whom:                trasz
X#
X# $FreeBSD$
X#
X
XPORTNAME=      iksemel
XPORTVERSION=   1.2
XCATEGORIES=    textproc
XMASTER_SITES=  http://jabberstudio.2nw.net/iksemel/
X
XMAINTAINER=    trasz@pin.if.uz.zgora.pl
XCOMMENT=       XML parser library mainly designed for Jabber applications
X
XGNU_CONFIGURE= yes 
XINSTALLS_SHLIB=        yes
XCONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include" \
X               LDFLAGS="-L${LOCALBASE}/lib"
X
X.include <bsd.port.mk>
END-of-iksemel/Makefile
echo x - iksemel/distinfo
sed 's/^X//' >iksemel/distinfo << 'END-of-iksemel/distinfo'
XMD5 (iksemel-1.2.tar.gz) = 82e7c8fdb6211839246b788c040a796b
XSHA256 (iksemel-1.2.tar.gz) = a606e230b22d9d029998b84e5d6311a8ba35a304fe457e254eb5fd19943cd639
XSIZE (iksemel-1.2.tar.gz) = 429405
END-of-iksemel/distinfo
echo x - iksemel/pkg-descr
sed 's/^X//' >iksemel/pkg-descr << 'END-of-iksemel/pkg-descr'
XThis is an XML parser library mainly designed for Jabber applications.
XIt provides SAX, DOM, and special Jabber stream APIs. Library is coded
Xin ANSI C except the network code (which is POSIX compatible), thus
Xhighly portable. Iksemel is released under GNU Lesser General Public
XLicense. A copy of the license is included in the COPYING file.
X
XWWW: http://iksemel.jabberstudio.org/
END-of-iksemel/pkg-descr
echo x - iksemel/pkg-plist
sed 's/^X//' >iksemel/pkg-plist << 'END-of-iksemel/pkg-plist'
Xbin/ikslint
Xbin/iksperf
Xbin/iksroster
Xlib/libiksemel.so.3
Xlib/libiksemel.so  
Xlib/libiksemel.a   
Xlib/libiksemel.la  
Xinclude/iksemel.h  
Xinfo/iksemel
Xlibdata/pkgconfig/iksemel.pc
END-of-iksemel/pkg-plist
echo c - iksemel/files
mkdir -p iksemel/files > /dev/null 2>&1
echo x - iksemel/files/patch-Makefile.in
sed 's/^X//' >iksemel/files/patch-Makefile.in << 'END-of-iksemel/files/patch-Makefile.in'
X--- Makefile.in.orig   Mon Apr 24 22:21:34 2006
X+++ Makefile.in        Mon Apr 24 22:21:37 2006
X@@ -92,7 +92,7 @@  
X
X EXTRA_DIST = HACKING iksemel.pc.in
X
X-pkgconfigdir = $(libdir)/pkgconfig
X+pkgconfigdir = ${prefix}/libdata/pkgconfig
X pkgconfig_DATA = iksemel.pc
X ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
X mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
END-of-iksemel/files/patch-Makefile.in
exit
Comment 1 ijliao freebsd_committer 2006-04-28 08:35:10 UTC
State Changed
From-To: open->closed

committed, thanks